petsc-3.4.2 2013-07-02

# VecEqual

Compares two vectors. Returns true if the two vectors are either pointing to the same memory buffer, or if the two vectors have the same local and global layout as well as bitwise equality of all entries. Does NOT take round-off errors into account.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecEqual(Vec vec1,Vec vec2,PetscBool  *flg)

Collective on Vec

### Input Parameters

| vec1 | - the first vector
| vec2 | - the second vector

### Output Parameter

flg -PETSC_TRUE if the vectors are equal; PETSC_FALSE otherwise.

Level:intermediate
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex19.c.html
src/dm/examples/tutorials/ex9.c.html